#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2009  Sébastien Buchoux
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
# 
#
# global imports
import os
import sys

#===============================================================================
# Build useful constants
#===============================================================================
version = '1.0'

system_platform = sys.platform.lower()

data_folder = os.path.join (os.path.dirname(__file__ ), "data")
if not os.path.isdir(data_folder):
    found = False
    for prefix in ["/usr/share", "/usr/local/share"]:
        data_folder = os.path.realpath(prefix + u"/nmrdepaker")
        if os.path.isdir(data_folder):
            found = True
            break
    if not found:
        # py2exe zips pure python, so still need special check
        if getattr(sys,'frozen',None):
            data_folder = os.path.join(sys.path[0][:sys.path[0].find("library.zip")], "nmrdepaker-data")
            if os.path.isdir(data_folder):
                found = True
else:
    found = True
 
if not found:
    raise RuntimeError('Could not find nmrdepaker data folder')
else:
    try:
        data_folder = unicode(data_folder)
    except UnicodeDecodeError:
        data_folder = unicode(data_folder, sys.getfilesystemencoding())
